Error: Global icon library is deprecated. Consult https://gi


Topic: Error: Global icon library is deprecated. Consult https://github.com/FortAwesome/angular-fontawesome/blob/master/UPGRADING.md for the migration instructions.

jbull pro premium priority asked 2 months ago

Expected behavior When loading a component with mdb-file-upload i expect the screen to load and the component to be available.

Actual behavior I received the following error when loading a component that uses mdb-file-upload.

Error: Global icon library is deprecated. Consult https://github.com/FortAwesome/angular-fontawesome/blob/master/UPGRADING.md for the migration instructions.


Arkadiusz Idzikowski staff commented 2 months ago

@jbull Thank you for letting us know about this problem, we will take a closer look at that. Is it an error that prevents the use of the component or just a warning about deprecation?


jbull pro premium priority commented 1 months ago

We are unable to use the component with this error as it displays an error dialing


Arkadiusz Idzikowski staff commented 1 months ago

@jbull We added a quick fix to the plugin packages. Please try to download .tgz archive again and reinstall the plugin dependency.


jbull pro premium priority commented 1 months ago

Where can I download just the plugin package? I downloaded the whole UI kit but the fileinput package is still the same one that was included before.


jbull pro premium priority commented 1 months ago

We found it in git repo, and the fix worked. Thanks


Please insert min. 20 characters.
Status

Resolved

Specification of the issue
  • User: Pro
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB4 11.1.0
  • Device: PC
  • Browser: Chrome
  • OS: Win10
  • Provided sample code: No
  • Provided link: Yes
Tags